Subject: Re: ssh removed?

From: Nico -telmich- Schottelius <[email-masked]>
Date: Wed, 7 Dec 2005 15:29:39 +0100

Petr Baudis [Wed, Dec 07, 2005 at 12:29:45AM +0100]:
> Dear diary, on Tue, Dec 06, 2005 at 10:19:18PM CET, I got a letter
> where Nico -telmich- Schottelius <[email-masked]> said that...
> > Did somebody remove git+ssh in git? If I search for ssh in cg-log
> > in the git source I do not see any hint. But I see that when trying to
> > use it:
> ..snip..
> > [22:16] hydrogenium:ccollect.sh% cg-version
> > cogito-0.17pre.GIT (c10cc1d2a99b01ed3bf45d5f2ad6157940a22365)
> > [22:17] hydrogenium:ccollect.sh% git --version
> > git version 0.99.8.GIT
> 
> Quite on the contrary, your GIT is too old - at least 0.99.9 is required
> as noted in the INSTALL file.

And I found the problem's source now:

[15:23] hydrogenium:git# cg-update                                                  
Recovering from a previously interrupted fetch...                                   
Fetching head...                                                                    
Fetching objects...                                                                 
error: The requested URL returned error: 404                                        
Getting pack list                                                                   
Getting alternates list                                                             
error: Unable to find a0adb3dcb345a380e1b6f2208feff4f61499e0d3 under http://www.kern
el.org/pub/scm/git/git.git/                                                         

--> git was not updated from update-git+cogito.sh!

Now I try to update it, after I removed the git source direcotry:

[15:24] hydrogenium:build# rm -rf ~nico/build/git
[15:24] hydrogenium:build# ~nico/update-git+cogito.sh
Working on git (in /home/user/nico/build/git) ...
Cloning git
defaulting to local storage area
Fetching head...
Fetching objects...
progress: 3 objects, 6382 bytes
error: The requested URL returned error: 404
Getting pack list
Getting index for pack 46ff81b11ed16ed38caa4aada913cb08c00185b2
Getting pack 46ff81b11ed16ed38caa4aada913cb08c00185b2
which contains 8a6bd02d4ff1628af4c47d8c0c35d835607832d1
error: The requested URL returned error: 404
Getting alternates list
error: Unable to find 6ff87c4664981e4397625791c8ea3bbb5f2279a3 under http://www.kernel.org/pub/scm/git/git.git/

I am trying to get git with git-0.99.8, is that impossible currently?

I am wondering why it gets a 404, the url I use for git is

http://www.kernel.org/pub/scm/git/git.git

for cogito is

http://www.kernel.org/pub/scm/cogito/cogito.git

Nico

-- 
Latest project: cinit-0.2.1 (http://linux.schottelius.org/cinit/)
Open Source nutures open minds and free, creative developers.